# This System

[![image](https://img.shields.io/badge/License-GPLv3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0)[![image](https://readthedocs.org/projects/this-system/badge/?version=latest)](https://this-system.readthedocs.io/en/latest/?badge=latest)[![image](https://img.shields.io/endpoint?url=https://python-poetry.org/badge/v0.json)](https://python-poetry.org/)[![image](https://img.shields.io/badge/semantic--release-angular-e10079?logo=semantic-release)](https://github.com/python-semantic-release/python-semantic-release)[![image](https://img.shields.io/badge/pre--commit-enabled-brightgreen?logo=pre-commit)](https://github.com/pre-commit/pre-commit)[![image](https://img.shields.io/badge/linting-pylint-yellowgreen)](https://github.com/pylint-dev/pylint)[![image](http://www.mypy-lang.org/static/mypy_badge.svg)](https://github.com/python/mypy)[![image](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)[![image](https://img.shields.io/badge/security-bandit-yellow.svg)](https://github.com/PyCQA/bandit)

We often need to access system/platform specific information to make certain
decisions in our code, and more often than not end up with lengthy pieces of
code to accomplish this. And that’s not to mention all the different modules
available to get that information.

**This System** aims at keeping your code short, clear, easy to read and
maintain by providing all the available system information in a single object
with a logical structure that results in more *pythonic* code.

## Installation

### Requirements

See [Requirements for Installing Packages](https://packaging.python.org/en/latest/tutorials/installing-packages/#installing-requirements) for
instructions on how to install python packages in general.

### Installing from PyPI

To install the latest version of This System:

Unix/macOS

```bash
python3 -m pip install this_system
```

Windows

```bat
py -m pip install this_system
```

### Changelog

<!-- towncrier release notes start -->

#### this_system 0.1.0-alpha.1 (2024-01-31)

No significant changes.

### Documentation

You can find read the latest documentation at [Read The Docs](https://odometer.readthedocs.io/en/latest/)

## License

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the
[Free Software Foundation](https://www.fsf.org/), either version 3 of the
License, or (at your option) any later version.

[![image](https://static.fsf.org/common/img/logo-new.png)](https://www.fsf.org/)

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License  along with
this program. If not, see
[GNU General Public License](https://www.gnu.org/licenses/gpl-3.0.en.html).

[![image](https://www.gnu.org/graphics/gplv3-or-later.svg)](https://www.gnu.org/licenses/gpl-3.0.en.html)
